# Dedomenon: A Python Library for Datasets

[![pypi-image]][pypi-url]
[![license-image]][license-url]
[![version-image]][release-url]
[![release-date-image]][release-url]
[![jupyter-book-image]][docs-url]

<!-- Links: -->

[pypi-image]: https://img.shields.io/pypi/v/dedomenon
[license-image]: https://img.shields.io/github/license/entelecheia/dedomenon
[license-url]: https://github.com/entelecheia/dedomenon/blob/main/LICENSE
[version-image]: https://img.shields.io/github/v/release/entelecheia/dedomenon?sort=semver
[release-date-image]: https://img.shields.io/github/release-date/entelecheia/dedomenon
[release-url]: https://github.com/entelecheia/dedomenon/releases
[jupyter-book-image]: https://jupyterbook.org/en/stable/_images/badge.svg
[repo-url]: https://github.com/entelecheia/dedomenon
[pypi-url]: https://pypi.org/project/dedomenon
[docs-url]: https://dedomenom.entelecheia.ai
[changelog]: https://github.com/entelecheia/dedomenon/blob/main/CHANGELOG.md
[contributing guidelines]: https://github.com/entelecheia/dedomenon/blob/main/CONTRIBUTING.md

<!-- Links: -->

- Documentation: [https://dedomenom.entelecheia.ai][docs-url]
- GitHub: [https://github.com/entelecheia/dedomenon][repo-url]
- PyPI: [https://pypi.org/project/dedomenon][pypi-url]

Dedomenon is a versatile and powerful Python library designed for managing, processing, and analyzing datasets, catering to the diverse needs of data scientists, researchers, and developers across various domains. The name Dedomenon is inspired by the Greek word δεδομένων (data), reflecting the library's core focus on facilitating efficient and effective data handling.

## Features

Dedomenon offers a comprehensive set of features, making it an ideal choice for users with varying levels of expertise in data science and analytics:

- **User-friendly API**: Dedomenon provides an intuitive and easy-to-use API, enabling users to quickly load, manipulate, and analyze datasets with minimal lines of code.

- **Support for various data formats**: The library supports a wide range of data formats, including CSV, JSON, Excel, Parquet, and SQL, allowing users to work with datasets in their preferred format.

- **Efficient data processing**: Dedomenon utilizes advanced algorithms and data structures to ensure high-performance data processing, even on large-scale datasets.

- **Data cleaning and preprocessing**: The library offers a variety of tools for data cleaning, preprocessing, and transformation, helping users to prepare their datasets for further analysis and modeling.

## Installation

You can install Dedomenon using pip:

```bash
pip install dedomenon
```

## Getting Started

To begin working with Dedomenon, visit the [official documentation](https://dedomenon.entelecheia.ai/) and the [GitHub repository](https://github.com/entelecheia/dedomenon) for examples, tutorials, and additional information.

## Changelog

See the [CHANGELOG] for more information.

## Contributing

Contributions are welcome! Please see the [contributing guidelines] for more information.

## License

This project is released under the [MIT License][license-url].
